dofile("Base.rte/Constants.lua")
require("Actors/AI/NativeCrabAI")   --dofile("Base.rte/Actors/AI/NativeCrabAI.lua")

function Create(self)
   self.turretPart = {}
   self.turretOffset = {}

   local actor = CreateACrab("Dragoon TMG Mount")
   actor.Team = self.Team
   MovableMan:AddParticle(actor)

   local newIndex = #self.turretPart+1
   self.turretPart[newIndex] = actor
   self.turretOffset[newIndex] = Vector(8,-41);
end

function Update(self)
   for i = 1, #self.turretPart do
      if MovableMan:IsParticle(self.turretPart[i]) then
         self.turretPart[i].Vel.X = 0;
         self.turretPart[i].Vel.Y = 0;
         self.turretPart[i].RotAngle = self.RotAngle;
         self.turretPart[i].Pos = self.Pos + self:RotateOffset(self.turretOffset[i])
      end
   end
end

function Destroy(self)
   for i = 1, #self.turretPart do
      if MovableMan:IsParticle(self.turretPart[i]) then
         if self.Health < 1 then
            self.turretPart[i]:GibThis()
         else
            self.turretPart[i].ToDelete = true
         end
      end
   end
end