function Create(self)
--------------------------------	
	self.BayonetOffset = Vector(2,5)	-- X,Y Distance from the MUZZLE OF THE GUN to the BAYONET POSITION
	self.BayonetParticles = 1		-- Number of particles 
	self.Key = 6				-- Which key to use (6 is letter F)
	self.StabRoF = 2000			-- How much time it takes between each stab in MS
	self.burstTimer = Timer();
	self.burst = false;
	self.canBurst = true;
--------------------------------
	self.StabTimer = Timer()
	if self.parent == nil or self.parent.ClassName ~= "AHuman" then	
		self.parent = MovableMan:GetMOFromID(self.RootID)
	end	
	if self.parent.PresetName ~= MovableMan:GetMOFromID(self.RootID).PresetName or self.parent.ClassName ~= "AHuman" then
		self.parent = MovableMan:GetMOFromID(self.RootID)
	end
end

function Update(self)
	if self.HFlipped == true then
		self.Reverse = -1
	elseif self.HFlipped == false then
		self.Reverse = 1
	end
   	if self.parent == nil or self.parent.ClassName ~= "AHuman" then	
		self.parent = MovableMan:GetMOFromID(self.RootID)
	end	
	if self.parent.PresetName ~= MovableMan:GetMOFromID(self.RootID).PresetName or self.parent.ClassName ~= "AHuman" then
		self.parent = MovableMan:GetMOFromID(self.RootID)
	end
	if MovableMan:IsActor(self.parent) and self.parent ~= nil then
		if self.parent ~= nil and ToActor(self.parent):IsPlayerControlled() and UInputMan:KeyPressed(self.Key) and self.StabTimer:IsPastSimMS(self.StabRoF) then
			self.Bayonet = CreateAEmitter("Dragoon Grenade Shot Impact")
			self.Bayonet.Pos = self.MuzzlePos + self.BayonetOffset:RadRotate(self.RotAngle)
			self.Bayonet.Vel = Vector(25*self.Reverse,0):RadRotate(self.RotAngle)
     		self.Bayonet:SetWhichMOToNotHit(MovableMan:GetMOFromID(self.RootID),-1)   
			MovableMan:AddParticle(self.Bayonet)
			self.StabTimer:Reset()
			self.SoundFX = CreateAEmitter("Dragoon GL Sound Effect")
			self.SoundFX.Pos = self.MuzzlePos
			self.SoundFX:GibThis()
			MovableMan:AddParticle(self.SoundFX)
		end

	end

	if self.canBurst == true and self:IsActivated() and self.Magazine ~= nil and self.Magazine.RoundCount > 0 then
		self.burstTimer:Reset();
		self.canBurst = false;
		self.burst = true;
	end

	if self.burst == true then
		if self.burstTimer:IsPastSimMS(150) then
			self.burstTimer:Reset();
			self:Deactivate();
			self.burst = false;
		else
			self:Activate();
		end
	else
		if self.canBurst == false then
			self:Deactivate();
			if self.burstTimer:IsPastSimMS(200) then
				self.canBurst = true;
			end
		end
	end

end