function Create(self)
   self.blinkIntervalCounter = 2800;   -- Holds randomized values for time between blinks.
   self.blinkIntervalTimer = Timer();   -- Counts milliseconds until time between blinks reached.
   self.blinkDurationCounter = 300;   -- Holds randomized values for time blink takes.
   self.blinkDurationTimer = Timer();   -- Counts milliseconds until blink length reached.
end

function Update(self)

   -- While the interval timer is over the interval limit...
   if self.blinkIntervalTimer:IsPastSimMS(self.blinkIntervalCounter) then
      self.Frame = 1;   -- ...switch to "eyes closed" frame...
      -- ...and let the duration timer run until it hits the duration limit.
      if self.blinkDurationTimer:IsPastSimMS(self.blinkDurationCounter) then
         -- Once the blink is over...
         self.Frame = 0;   -- ...return to the "eyes open" frame...
         self.blinkIntervalTimer:Reset();   -- ...and reset the interval timer.
         -- Set new random time until next blink, skews toward 2800ms but allows 500-10000ms intervals.
         self.blinkIntervalCounter = math.random(1785,35700)*0.28;
         -- Set new random length of next blink, skews toward 300-400ms but allows 100-400ms durations.
         self.blinkDurationCounter = math.random(66,285)*1.5;
      end
   -- Keep the duration timer suppressed during the interval between blinks.
   else
      self.blinkDurationTimer:Reset();
      self.Frame = 0;   -- Open the eyes, just in case something went wrong.
   end

end