function Create(self)

	self.alliedTeam = -1;

end

function Update(self)

	if self.ID ~= self.RootID then
		local actor = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(actor) then
			self.alliedTeam = ToActor(actor).Team;
		end
	end

	if self:IsActivated() and self.ID == self.RootID then

		local turret = CreateACrab("Deployable Turret");
		turret.Pos = self.Pos;
		turret.Vel = self.Vel;
		turret.Team = self.alliedTeam;
		turret.AIMode = Actor.AIMODE_PATROL;
		MovableMan:AddActor(turret);

		self.ToDelete = true;

	end

end