function Create(self)
   self.Parent = nil;
   self.ParentPlayer = nil;
   self.Module = "MySaMs.rte"   --change this to your module name
end

function Update(self)
   --If it's not being held by an actor, set its parent and parent player to nil
   if self.ID == self.RootID then
      self.Parent = nil;
      self.ParentPlayer = nil;
   --If it is being held, give it a parent and find the parent's player
   else
      if self.Parent == nil and self.ParentPlayer == nil then
         self.Parent = ToActor(MovableMan:GetMOFromID(self.RootID));
         self.ParentPlayer = self.Parent:GetController().Player;
      end
   end
        --if Parent's primary action (left mouse) is pressed then spawn pin sound
   if self.Parent:GetController():IsState(Controller.PRESS_PRIMARY) then
      local PinSound = CreateAEmitter("DG Pin AEmitter",self.Module);   --Change this to your pin sound AEmitter
      PinSound.Pos = self.Pos;
      MovableMan:AddParticle(PinSound);      
   end
        --if Parent's primary action (left mouse) is release then spawn throw sound
   if self.Parent:GetController():IsState(Controller.RELEASE_PRIMARY) then
      local ThrowSound = CreateAEmitter("DG Throw AEmitter",self.Module);   --Change this to your throw sound AEmitter
      ThrowSound.Pos = self.Pos;
      MovableMan:AddParticle(ThrowSound);      
   end
end